## dumpsterdiver 0~git20200911

=== requirements.txt ===
termcolor==1.1.0
colorama==0.4.3
passwordmeter==0.1.8
PyYAML==5.1

=== debian/changelog ===
dumpsterdiver (0~git20200911-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 00:46:31 +0200

dumpsterdiver (0~git20200911-0kali2) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  [ Ben Wilson ]
  * Consistency with install file
  * Remove template comment and switch spaces to tabs
  [ Steev Klimaszewski ]
  * Add d/watch file
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Wed, 14 Dec 2022 13:43:32 -0600

dumpsterdiver (0~git20200911-0kali1) kali-dev; urgency=medium

  * Initial release (see 4797)

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 05 Nov 2020 09:09:11 +0100

=== debian/control ===
Source: dumpsterdiver
Section: utils
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-passwordmeter
Standards-Version: 4.6.1
Homepage: https://github.com/securing/DumpsterDiver
Rules-Requires-Root: no

Package: dumpsterdiver
Architecture: all
Depends: python3-colorama,
         python3-passwordmeter,
         python3-termcolor,
         ${misc:Depends},
         ${python3:Depends}
Description: tool to analyze big volumes of data in search of hardcoded secrets
 This package contains a tool, which can analyze big volumes of data in search
 of hardcoded secrets like keys (e.g. AWS Access Key, Azure Share Key or SSH
 keys) or passwords. Additionally, it allows creating a simple search rules
 with basic conditions (e.g. report only csv files including at least 10 email
 addresses).
 .
 The main idea of this tool is to detect any potential secret leaks.

## dumpsterdiver 0~git20210628

=== debian/changelog ===
dumpsterdiver (0~git20210628-0kali1~jan+nur2) kali-experimental; urgency=low

  [ Kali Janitor ]
  * New upstream snapshot.

  [  ]
  * Build for debian-janitor apt repository.

 -- Kali Janitor <janitor@kali.org>  Sun, 27 Nov 2022 08:52:40 -0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: dumpsterdiver
 Section: utils
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Sophie Brun <sophie@offensive-security.com>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-passwordmeter
 Standards-Version: 4.6.1
 Homepage: https://github.com/securing/DumpsterDiver
+Vcs-Browser: https://gitlab.com/kalilinux/packages/dumpsterdiver
+Vcs-Git: https://gitlab.com/kalilinux/packages/dumpsterdiver.git
 Rules-Requires-Root: no
 
 Package: dumpsterdiver

=== debian/watch ===
version=4
opts=mode=git,pgpmode=none,pretty=0~git%cd \
  https://github.com/xep624/DumpsterDiver HEAD
# Use the following when upstream starts to tag releases:
#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%dumpsterdiver-$1.tar.gz%" \
#   https://github.com/xep624/DumpsterDiver/tags \
#   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## dumpsterdiver 0~git20210628.058087e

=== requirements.txt ===
termcolor==1.1.0
passwordmeter==0.1.8
PyYAML==5.4
colorama==0.4.4

=== debian/changelog ===
dumpsterdiver (0~git20210628.058087e-0kali1) kali-dev; urgency=medium

  * Drop 'Rules-Requires-Root: no' from d/control
  * Fix Python 13 syntax warnings
  * Add missing dependency python3-yaml
  * Add basic tests
  * Update d/watch to have the hash in the version
  * New upstream version 0~git20210628.058087e
  * Fix and refresh patches
  * Fix multiprocessing usage
  * Fix tests
  * Fix helper script so that it doesn't change location

 -- Arnaud Rebillout <arnaudr@kali.org>  Fri, 07 Nov 2025 18:48:22 +0700

=== debian/control ===
Source: dumpsterdiver
Section: utils
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders:
 Sophie Brun <sophie@offensive-security.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-passwordmeter,
Standards-Version: 4.6.1
Homepage: https://github.com/securing/DumpsterDiver
Vcs-Browser: https://gitlab.com/kalilinux/packages/dumpsterdiver
Vcs-Git: https://gitlab.com/kalilinux/packages/dumpsterdiver.git

Package: dumpsterdiver
Architecture: all
Depends:
 python3-colorama,
 python3-passwordmeter,
 python3-termcolor,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Description: tool to analyze big volumes of data in search of hardcoded secrets
 This package contains a tool, which can analyze big volumes of data in search
 of hardcoded secrets like keys (e.g. AWS Access Key, Azure Share Key or SSH
 keys) or passwords. Additionally, it allows creating a simple search rules
 with basic conditions (e.g. report only csv files including at least 10 email
 addresses).
 .
 The main idea of this tool is to detect any potential secret leaks.

=== debian/tests/control ===
Test-Command: clitest --pre-flight 'export COLUMNS=120' debian/tests/dumpsterdiver-usage.txt
Depends: @, clitest
Restrictions: superficial

Tests: ssh-test
Depends: @, openssh-client
Restrictions: superficial

=== debian/watch ===
--- 
+++ 
@@ -1,5 +1,5 @@
 version=4
-opts=mode=git,pgpmode=none,pretty=0~git%cd \
+opts=mode=git,pgpmode=none,pretty=0~git%cd.%h \
   https://github.com/xep624/DumpsterDiver HEAD
 # Use the following when upstream starts to tag releases:
 #opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%dumpsterdiver-$1.tar.gz%" \
